View Issue Details

IDProjectCategoryView StatusLast Update
0021582mantisbtcustomizationpublic2016-08-28 01:12
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021582: Workflow config page, access denied even if user has proper access levels
Description

When manage_config_workflow_page can be used by a user that is not administrator, by setting any of the access levels allowed to change the contained options, the user still gets access denied when updating the options in manage_config_workflow_set.php

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 4726cc54

2016-08-01 20:17:44

cproensa

Details Diff
manage_config_workflow_set, check for correct access levels

Fix the initial check for access level, which was previously checking
for access to unrelated options.

Fixes: 0021582
mod - manage_config_workflow_set.php Diff File

MantisBT: master 98b03fde

2016-08-04 23:52:13

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/835'
mod - bug_update_page.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/filter_api.php Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-01 20:46 cproensa New Issue
2016-08-01 20:47 cproensa Assigned To => cproensa
2016-08-01 20:47 cproensa Status new => assigned
2016-08-01 20:48 cproensa Description Updated View Revisions
2016-08-04 23:56 cproensa Changeset attached => MantisBT master 4726cc54
2016-08-04 23:56 cproensa Status assigned => resolved
2016-08-04 23:56 cproensa Resolution open => fixed
2016-08-04 23:56 cproensa Fixed in Version => 2.0.0-beta.2
2016-08-05 05:01 cproensa Changeset attached => MantisBT master 98b03fde
2016-08-05 05:03 cproensa Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-05 07:30 atrol Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed